Summary: Regulatory Daemon for the Intel PRO/Wireless 3945ABG Network Connection
Name: ipw3945d
Version: 1.7.22
Release: 1%{?dist}
License: distributable
Group: System Environment/Daemons
URL: http://bughost.org/ipw3945/
Source0: http://bughost.org/ipw3945/daemon/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The regulatory daemon is responsible for controlling and configuring
aspects of the hardware required to operate the device within
compliance of various regulatory agencies.  This includes controlling
which channels are allowed to do active/passive scanning, transmit
power levels, which channels are allowed to be transmitted on, and
support for IEEE 802.11h (DFS and TPC).

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
%ifarch %{ix86}
install -p x86/ipw3945d %{buildroot}/sbin/
%endif
%ifarch x86_64
install -p x86_64/ipw3945d %{buildroot}/sbin/
%endif
install -p LICENSE* %{buildroot}/sbin/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/sbin/ipw3945d
/sbin/LICENSE*

%changelog
* Mon Aug 07 2006 kwizart < kwizart at gmail.com >
- Update to 1.7.22.

* Thu Jun 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.7.19.

* Fri Mar 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

